RADOSGW-ADMIN(8)

NAME
radosgw-admin - rados REST gateway user administration utility

SYNOPSIS
radosgw-admin command [ options ... ]

DESCRIPTION

radosgw-admin is a RADOS gateway user administration utility. It allows creating and modifying users.

COMMANDS

command can be one of the following options:

user create
    Create a new user

user modify
    Modify a user

user info
    Display information of a user

user rm
    Remove a user

bucket list
    List all buckets

bucket unlink
    Remove a bucket

policy
    Display bucket/object policy

log show
    Show the log of a bucket (with a specified date)

OPTIONS

-c ceph.conf, --conf=ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

-m monaddress[:port]
    Connect to specified monitor (instead of looking through ceph.conf).

--uid=uid
    The S3 user/access key.

--secret=secret
    The S3 secret.

--display-name=name
    Configure the display name of the user.

--email=email
    The e-mail address of the user

--bucket=bucket
    Specify the bucket name.

--object=object
    Specify the object name.

--date=yyyy-mm-dd
    The date need for some commands

--os-user=group:name
    The OpenStack user (only needed for use with OpenStack)

--os-secret=key
    The OpenStack key

--auth-uid=auid
    The librados auid

EXAMPLES

Generate a new user:

$ radosgw-admin user gen --display-name="johnny rotten" --email=johnny@rotten.com
User ID: CHBQFRTG26I8DGJDGQLW
Secret Key: QR6cI/31N+J0VKVgHSpEGVSfEEsmf6PyXG040KCB
Display Name: johnny rotten

Remove a user:

$ radosgw-admin user rm --uid=CHBQFRTG26I8DGJDGQLW

Remove a bucket:

$ radosgw-admin bucket unlink --bucket=foo

Show the logs of a bucket from April 1st 2011:

$ radosgw-admin log show --bucket=foo --date=2011=04-01

AVAILABILITY

radosgw-admin is part of the Ceph distributed file system. Please refer to the Ceph wiki at http://ceph.newdream.net/wiki for more information.

SEE ALSO

ceph(8)

COPYRIGHT
2011, New Dream Network